Bug 243248 - Review Request: avr-gdb - GDB for (remote) debugging avr binaries
Summary: Review Request: avr-gdb - GDB for (remote) debugging avr binaries
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-08 09:14 UTC by Hans de Goede
Modified: 2010-07-19 04:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-16 20:58:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rc040203: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2007-06-08 09:14:30 UTC
Spec URL: http://people.atrpms.net/~hdegoede/avr-gdb.spec
SRPM URL: http://people.atrpms.net/~hdegoede/avr-gdb-6.6-2.fc8.src.rpm
Description:
This is a special version of GDB, the GNU Project debugger, for (remote)
debugging %{target} binaries. GDB allows you to see what is going on
inside another program while it executes or what another program was doing at
the moment it crashed.

Comment 1 Ralf Corsepius 2007-06-11 09:07:09 UTC
The spec contains this:

# Yes it really does, atleast configure checks for this
BuildRequires:  avr-gcc-c++

This is wrong. GDB is a pure native application which doesn't use any target
tools at all.

The log message confusing you stems from gdb using the ueberbaum's toplevel
configure script which is shared by many GNU-toolchain packages (gcc, binutils,
...), some of which actually apply target tools. GDB doesn't.






Comment 2 Hans de Goede 2007-06-11 10:58:13 UTC
(In reply to comment #1)
> The spec contains this:
> 
> # Yes it really does, atleast configure checks for this
> BuildRequires:  avr-gcc-c++
> 
> This is wrong. GDB is a pure native application which doesn't use any target
> tools at all.
> 
> The log message confusing you stems from gdb using the ueberbaum's toplevel
> configure script which is shared by many GNU-toolchain packages (gcc, binutils,
> ...), some of which actually apply target tools. GDB doesn't.
> 

A new version with this fixed is available here:
Spec URL: http://people.atrpms.net/~hdegoede/avr-gdb.spec
SRPM URL: http://people.atrpms.net/~hdegoede/avr-gdb-6.6-3.fc8.src.rpm



Comment 3 Ralf Corsepius 2007-06-11 15:40:29 UTC
MUSTFIX:

* gdb doesn't build without a termcap library (It doesn't build on FC7 due to it)
=> Adding "BuildRequires: ncurses-devel" should help.

[There had been a change related to ncurses-devel/termcap between FC6/FC7, but I
don't recall the details. IIRC, ncurses-devel now is recommended/favored over
termcap]. 


Comment 4 Hans de Goede 2007-06-11 18:24:20 UTC
(In reply to comment #3)
> MUSTFIX:
> 
> * gdb doesn't build without a termcap library (It doesn't build on FC7 due to it)
> => Adding "BuildRequires: ncurses-devel" should help.
> 
> [There had been a change related to ncurses-devel/termcap between FC6/FC7, but I
> don't recall the details. IIRC, ncurses-devel now is recommended/favored over
> termcap]. 
> 

A new version with this fixed is available here:
Spec URL: http://people.atrpms.net/~hdegoede/avr-gdb.spec
SRPM URL: http://people.atrpms.net/~hdegoede/avr-gdb-6.6-4.fc8.src.rpm



Comment 5 Ralf Corsepius 2007-06-13 06:11:40 UTC
Like with any ueberbaum-based package (and to avoid potential BUILD/gdb-*
clashes), I'd recommend you to build into %{name}-%{version} instead of
gdb-%{version} and to apply VPATH building, similar to how you are doing it with
avr-binutils.

Anyway, this is just a recommendation and no blocker.

APPROVED



Comment 6 Hans de Goede 2007-06-13 08:01:44 UTC
(In reply to comment #5)
> Like with any ueberbaum-based package (and to avoid potential BUILD/gdb-*
> clashes), I'd recommend you to build into %{name}-%{version} instead of
> gdb-%{version} and to apply VPATH building, similar to how you are doing it with
> avr-binutils.
> 
I will change this before import and many thanks!

New Package CVS Request
=======================
Package Name:      avr-gdb
Short Description: GDB for (remote) debugging avr binaries
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 F-7 devel
InitialCC:         <empty>


Comment 7 Warren Togami 2007-06-13 15:14:19 UTC
Please don't forget to assign to reviewer when you do reviews.


Comment 8 Hans de Goede 2007-06-16 20:58:14 UTC
Imported and build, closing.


Comment 9 Thibault North 2010-07-18 11:40:56 UTC
Package Change Request
======================
Package Name: avr-gdb
New Branches: EL-6
Owners: tnorth trondd

We would like to have FEL-related packages available for EL-6. Thanks !

Comment 10 Kevin Fenzi 2010-07-19 04:34:34 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.